VDB-99843 · CVE-2017-7856 · BID 97667

LibreOffice svmconverter.cxx ImplConvertFromSVM1 out-of-bounds write

CVSS Meta Temp Score
CVSS is a standardized scoring system to determine possibilities of attacks. The Temp Score considers temporal factors like disclosure, exploit and countermeasures. The unique Meta Score calculates the average score of different sources to provide a normalized scoring system.
Current Exploit Price (≈)
Our analysts are monitoring exploit markets and are in contact with vulnerability brokers. The range indicates the observed or calculated exploit price to be seen on exploit markets. A good indicator to understand the monetary effort required for and the popularity of an attack.
CTI Interest Score
Our Cyber Threat Intelligence team is monitoring different web sites, mailing lists, exploit markets and social media networks. The CTI Interest Score identifies the interest of attackers and the security community for this specific vulnerability in real-time. A high score indicates an elevated risk to be targeted for this vulnerability.
8.4$0-$5k0.00

A vulnerability was found in LibreOffice (Office Suite Software) (affected version not known). It has been classified as critical. This affects the function SVMConverter::ImplConvertFromSVM1 of the file vcl/source/gdi/svmconverter.cxx. The manipulation with an unknown input leads to a out-of-bounds write vulnerability. CWE is classifying the issue as CWE-787. The product writes data past the end, or before the beginning, of the intended buffer. This is going to have an impact on confidentiality, integrity, and availability. The summary by CVE is:

LibreOffice before 2017-03-11 has an out-of-bounds write caused by a heap-based buffer overflow in the SVMConverter::ImplConvertFromSVM1 function in vcl/source/gdi/svmconverter.cxx.

The bug was discovered 03/11/2017. The weakness was presented 04/14/2017 with Google Project Zero (Website). It is possible to read the advisory at securityfocus.com. This vulnerability is uniquely identified as CVE-2017-7856 since 04/14/2017. The exploitability is told to be easy. It is possible to initiate the attack remotely. No form of authentication is needed for exploitation. Technical details of the vulnerability are known, but there is no available exploit.

The vulnerability was handled as a non-public zero-day exploit for at least 34 days. During that time the estimated underground price was around $0-$5k. The vulnerability scanner Nessus provides a plugin with the ID 100192 (Fedora 24 : 1:libreoffice (2017-7a7d2044c9)), which helps to determine the existence of the flaw in a target environment. It is assigned to the family Fedora Local Security Checks and running in the context l. The commercial vulnerability scanner Qualys is able to test this issue with plugin 276641 (Fedora Security Update for libreoffice (FEDORA-2017-7a7d2044c9)).

Upgrading eliminates this vulnerability. A possible mitigation has been published 2 months after the disclosure of the vulnerability.

The vulnerability is also documented in the vulnerability database at Tenable (100192). See 99809 and 99903 for similar entries.

Productinfo

Type

Name

License

CPE 2.3info

CPE 2.2info

CVSSv4info

VulDB CVSS-B Score: 🔍
VulDB CVSS-BT Score: 🔍
VulDB Vector: 🔍
VulDB Reliability: 🔍

CVSSv3info

VulDB Meta Base Score: 8.5
VulDB Meta Temp Score: 8.4

VulDB Base Score: 7.3
VulDB Temp Score: 7.0
VulDB Vector: 🔍
VulDB Reliability: 🔍

NVD Base Score: 9.8
NVD Vector: 🔍

CVSSv2info

AVACAuCIA
💳💳💳💳💳💳
💳💳💳💳💳💳
💳💳💳💳💳💳
VectorComplexityAuthenticationConfidentialityIntegrityAvailability
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock

VulDB Base Score: 🔍
VulDB Temp Score: 🔍
VulDB Reliability: 🔍

NVD Base Score: 🔍

Exploitinginfo

Class: Out-of-bounds write
CWE: CWE-787 / CWE-119
ATT&CK: Unknown

Local: No
Remote: Yes

Availability: 🔍
Status: Not defined

EPSS Score: 🔍
EPSS Percentile: 🔍

Price Prediction: 🔍
Current Price Estimation: 🔍

0-Dayunlockunlockunlockunlock
Todayunlockunlockunlockunlock

Nessus ID: 100192
Nessus Name: Fedora 24 : 1:libreoffice (2017-7a7d2044c9)
Nessus File: 🔍
Nessus Risk: 🔍
Nessus Family: 🔍
Nessus Context: 🔍

OpenVAS ID: 867773
OpenVAS Name: Fedora Update for libreoffice FEDORA-2017-7a7d2044c9
OpenVAS File: 🔍
OpenVAS Family: 🔍

Qualys ID: 🔍
Qualys Name: 🔍

Threat Intelligenceinfo

Interest: 🔍
Active Actors: 🔍
Active APT Groups: 🔍

Countermeasuresinfo

Recommended: Upgrade
Status: 🔍

Reaction Time: 🔍
0-Day Time: 🔍
Exposure Time: 🔍

Patch: github.com

Timelineinfo

03/11/2017 🔍
04/14/2017 +34 days 🔍
04/14/2017 +0 days 🔍
04/14/2017 +0 days 🔍
04/14/2017 +0 days 🔍
04/14/2017 +0 days 🔍
05/14/2017 +30 days 🔍
05/16/2017 +2 days 🔍
11/29/2022 +2023 days 🔍

Sourcesinfo

Advisory: FEDORA-2017-7a7d2044c9
Organization: Google Project Zero
Status: Not defined
Confirmation: 🔍

CVE: CVE-2017-7856 (🔍)
SecurityFocus: 97667 - LibreOffice CVE-2017-7856 Heap Buffer Overflow Vulnerability
OSVDB: - CVE-2017-7856 - LibreOffice - Buffer Overflow Issue

See also: 🔍

Entryinfo

Created: 04/14/2017 11:11 AM
Updated: 11/29/2022 10:27 AM
Changes: 04/14/2017 11:11 AM (68), 08/30/2020 09:27 AM (14), 11/29/2022 10:21 AM (5), 11/29/2022 10:27 AM (1)
Complete: 🔍

Discussion

No comments yet. Languages: en.

Please log in to comment.

Do you want to use VulDB in your project?

Use the official API to access entries easily!